### Method

# Gdk Device get_surface_at_position

#### Declaration [src]

    GdkSurface*
    gdk_device_get_surface_at_position (
      GdkDevice* device,
      double* win_x,
      double* win_y
    )

#### Description [src]

Obtains the surface underneath `device`, returning the location of the device in `win_x` and `win_y`.

Returns `NULL` if the surface tree under `device` is not known to GDK (for example, belongs to another application).

#### Parameters

`win_x`

  Type: `double*`

  Return location for the X coordinate of the device location relative to the surface origin.

  The argument will be set by the function.
  The argument can be `NULL`.

`win_y`

  Type: `double*`

  Return location for the Y coordinate of the device location relative to the surface origin.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `GdkSurface`

The `GdkSurface` under the device position.

The returned data is owned by the instance.
The return value can be `NULL`.